<mat-progress-bar mode="indeterminate" *ngIf="loading"></mat-progress-bar>

<div class="inner-dialog" [ngClass]="{'loading': loading}">

    <button class="close-btn" mat-icon-button matDialogClose>
        <mat-icon>clear</mat-icon>
    </button>

    <h3 matDialogTitle>
        <span *ngIf="mode === 'create'">Create</span>
        <span *ngIf="mode === 'update'">Update</span>
        <span> an appliance</span>
    </h3>

    <mat-dialog-content>

        <form id="applianceForm" (ngSubmit)="submitForm()" [formGroup]="applianceForm">
            <input type="hidden" formControlName="id">
            <div>
                <mat-form-field>
                    <mat-label>Serial Number</mat-label>
                    <input matInput type="text" formControlName="serialNumber" required="true">
                    <mat-error *ngIf="applianceForm.get('serialNumber').hasError('required')">This field is mandatory
                    </mat-error>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field>
                    <mat-label>Brand</mat-label>
                    <input matInput type="text" formControlName="brand" required="true">
                    <mat-error *ngIf="applianceForm.get('brand').hasError('required')">This field is mandatory
                    </mat-error>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field>
                    <mat-label>Model</mat-label>
                    <input matInput type="text" formControlName="model" required="true">
                    <mat-error *ngIf="applianceForm.get('model').hasError('required')">This field is mandatory
                    </mat-error>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field>
                    <mat-label>Date Bought</mat-label>
                    <input matInput [matDatepicker]="picker" formControlName="dateBought" readonly>
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker-toggle matSuffix (click)="clearDate()">
                        <mat-icon matDatepickerToggleIcon>clear</mat-icon>
                    </mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                </mat-form-field>
            </div>
            <div>
                <mat-form-field>
                    <mat-label>Status</mat-label>
                    <input matInput type="text" formControlName="status">
                </mat-form-field>
            </div>
        </form>

    </mat-dialog-content>



    <mat-dialog-actions class="actions">
        <button mat-button matDialogClose>Cancel</button>

        <button [disabled]="!applianceForm?.valid" type="submit" form="applianceForm" mat-raised-button color="primary">
            <span *ngIf="mode === 'create'">Create</span>
            <span *ngIf="mode === 'update'">Update</span>
        </button>

    </mat-dialog-actions>

</div>